## textchk 2002.01.10

=== Makefile ===
# Used by Debian GNU/Linux.
DESTDIR=debian/textchk

# Where to put binaries on "make install".
BIN =  $(DESTDIR)/usr/bin

# Where to put documentation, readme and copyright
DOCDIR= $(DESTDIR)/usr/share/doc/textchk

# Man directory
MANDIR= $(DESTDIR)/usr/share/man/man1
INFODIR= $(DESTDIR)/usr/share/info
PODIR= $(DESTDIR)/usr/share/locale/it/LC_MESSAGES

# Must be root to install.
install:

	install -d $(DOCDIR) $(BIN) $(MANDIR) $(PODIR) $(INFODIR)
	install -m755 ./bin/*		$(BIN)
	install -m644 ./doc/textchk.ps			$(DOCDIR)
	install -m644 ./doc/textchk.html		$(DOCDIR)
	cp -a ./doc/examples				$(DOCDIR)
	install -m644 ./doc/textchk.info		$(INFODIR)

clean:

# No compilation needed
all:


#-----------------------------------------------------------------------
# Internal use
#-----------------------------------------------------------------------

Textchkclean:
	./textchk.ver
	rm -rf *.orig
	rm -rf *.orig?
	rm -rf *.orig??
	rm -rf *.orig???
	rm -rf bin/*.orig
	rm -rf bin/*.orig?
	rm -rf bin/*.orig??
	rm -rf bin/*.orig???
	rm -rf etc/*.orig
	rm -rf etc/*.orig?
	rm -rf etc/*.orig??
	rm -rf etc/*.orig???
	rm -rf doc/*.orig
	rm -rf doc/*.orig?
	rm -rf doc/*.orig??
	rm -rf doc/*.orig???
	rm -rf man/*.orig
	rm -rf man/*.orig?
	rm -rf man/*.orig??
	rm -rf man/*.orig???
	rm -rf share/*.orig
	rm -rf share/*.orig?
	rm -rf share/*.orig??
	rm -rf share/*.orig???
	cd doc ; make ; make clean ; cd ..

Maintainersclean:
	rm -rf build-stamp
	rm -rf configure-stamp
	rm -rf debian/textchk.*
	rm -rf debian/files
	rm -rf debian/textchk

Textchkspell:
	@ispell bin/textchk				; \
	ispell Makefile

Textchkmessages:
	@xgettext bin/textchk

=== doc/Makefile ===
#=======================================================================
# Copyright (c) 2000 Daniele Giacomini daniele @ pluto.linux.it
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#=======================================================================

#-----------------------------------------------------------------------
# Program name.
#-----------------------------------------------------------------------
PROJECT=textchk

#-----------------------------------------------------------------------
# Do all compositions.
#-----------------------------------------------------------------------
all: \
ps \
txt \
info \
pdf  \
html

#-----------------------------------------------------------------------
# Delete stale files.
#-----------------------------------------------------------------------
clean:
	@echo "Cleaning stale files."			; \
	rm -f $(PROJECT).aux				; \
	rm -f $(PROJECT).cp				; \
	rm -f $(PROJECT).cps				; \
	rm -f $(PROJECT).fl				; \
	rm -f $(PROJECT).fn				; \
	rm -f $(PROJECT).ky				; \
	rm -f $(PROJECT).log				; \
	rm -f $(PROJECT).pg				; \
	rm -f $(PROJECT).toc				; \
	rm -f $(PROJECT).tp				; \
	rm -f $(PROJECT).vr				; \
	rm -f $(PROJECT).texinfo.bak			; \

#-----------------------------------------------------------------------
# Compose as PostScript.
#-----------------------------------------------------------------------
ps:
	@texi2dvi $(PROJECT).texinfo			; \
	dvips -o $(PROJECT).ps $(PROJECT).dvi

#-----------------------------------------------------------------------
# Compose as PDF.
#-----------------------------------------------------------------------
pdf:
	@texi2dvi --pdf $(PROJECT).texinfo			; \

#-----------------------------------------------------------------------
# Compose as Info.
#-----------------------------------------------------------------------
info:
	@makeinfo --force $(PROJECT).texinfo

#-----------------------------------------------------------------------
# Compose as text.
#-----------------------------------------------------------------------
txt:
	@makeinfo --no-header --force -o $(PROJECT).txt $(PROJECT).texinfo

#-----------------------------------------------------------------------
# Compose as HTML.
#-----------------------------------------------------------------------
html:
	@makeinfo --force --html $(PROJECT).texinfo

=== debian/changelog ===
textchk (2002.01.10) unstable; urgency=low

  * Fixed another mispelled word in description. (closes: Bug#128210)

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Tue, 10 Jan 2002 19:40:00 +0200

textchk (2002.01.08) unstable; urgency=low

  * Mispelled words in description. Fixed. (closes: Bug#128210)

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Tue, 08 Jan 2002 08:00:00 +0200

textchk (2001.08.29) unstable; urgency=low

  * Packaging 2001.08.29 release.
  * First Debian release.

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Sun, 16 Dec 2001 12:00:00 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: textchk
Section: doc
Priority: optional
Maintainer: Gaetano Paolone (bigpaul) <bigpaul@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0), gettext
Standards-Version: 3.5.2

Package: textchk
Architecture: all
Depends: ${perl:Depends}, liblocale-gettext-perl (>= 1.01-8), sharutils
Description: This package provides a text analysis system.
 Textchk is a text analysis system to check spelling and/or stylistic
 conventions.

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
master.swlibero.org	/~daniele/software/textchk	textchk-(.*)\.tar\.gz	debian	uupdate
